Skip to navigation

lookup

lookup the document(s) associated with a processId, bucketId, or groupId.

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

idintegerRequired
a processId, bucketId, or groupId

Query parameters

nintegerOptional

The maximum number of returned documents. Accepts 1-100 with a default of 20.

filterstringOptional
Return only documents whose names contain this string.
sortenumOptional
The document attribute that will be used to sort the results.
Allowed values:
sortOrderenumOptional
Sort order. Requires sort.
Allowed values:
statusenumOptional
Return only documents with this status.
nextTokenstringOptional
Pass nextToken from the previous response to get the next page of up to n documents.

Response

Lookup successful
countintegerOptional
The number of results returned in the current response
documentslist of objectsOptional
nextTokenstringOptional
remainingintegerOptional
Number of results not yet returned, or null if none remain.
totalintegerOptional
The total number of results found

Errors

400
Bad Request Error
401
Unauthorized Error